{* file puq_customization/extensions/LangDetect/templates/configuration.tpl *}

<form id="LangDetectForm" name="LangDetect" method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=lang_detect&action=lang_settings">
    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <tr>
                <td class="fieldlabel">{$lang['Default language and currency']}</td>
                <td class="fieldarea">
                    <select name="default_language" class="form-control select-inline">
                        {foreach from=$languages_list item=language}
                            <option value="{$language}" {if $config['default_language'] == $language}selected{/if}>{$language}</option>
                        {/foreach}
                    </select>
                    <select name="default_currency" class="form-control select-inline">
                        {foreach from=$currencies_list item=currency}
                            <option value="{$currency.id}" {if $saved_data['default'] == $currency.id}selected{elseif $currency.default == 1}selected{/if}>{$currency.code}</option>
                        {/foreach}
                    </select>
                </td>
            </tr>
            {foreach $languages_list as $language}
                <tr>
                    <td class="fieldlabel">{$lang[$language|capitalize]}</td>
                    <td class="fieldarea">
                        <select name="{$language}_currency" class="form-control select-inline">
                            {foreach from=$currencies_list item=currency}
                                <option value="{$currency.id}" {if $saved_data[$language] == $currency.id}selected{elseif $currency.default == 1}selected{/if}>{$currency.code}</option>
                            {/foreach}
                        </select>
                    </td>
                </tr>
            {/foreach}



            </tbody>
        </table>
    </div>
    <!-- Submit Button -->
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>