<style>
    .{$name}-{$id} {
    {if $data['margin_top'] neq ''}
        padding-top: {$data['margin_top']};
    {else}
        padding-top: 0;
    {/if}
        padding-left: 20px;
        padding-right: 20px;
    }

    .{$name}-{$id} .{$name}-{$id}-container {
                       position: relative;
                       z-index: 2;
                       display: inline-block;
                       width: 100%;
                       text-align: center;
                   {if $data['width'] neq ''}
                       max-width: {$data['width']};
                   {/if}
                   }
    .{$name}-{$id} .{$name}-{$id}-qa-container {

                   }

    .{$name}-{$id} .{$name}-{$id}-header {
                       z-index: 2;

                       text-align: center;
                       font-size: 2rem;
                       font-weight: bold;
                       text-transform: uppercase;
                       letter-spacing: 2px;
                       margin: 1rem 0;
                       color: {$data['header_text_color']};
                   }

    .{$name}-{$id} .{$name}-{$id}-item {
                       margin-bottom: 20px;
                   }

    .{$name}-{$id} .{$name}-{$id}-question-header {
                       background-color: {$data['color_2']};
                       cursor: pointer;
                       position: relative;
                       box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
                   }

    .{$name}-{$id} .{$name}-{$id}-question-header:hover {
                       background-color: {$data['color_3']};
                   }

    .{$name}-{$id} .{$name}-{$id}-question-text {
                       padding-left: 30px;
                       padding-right: 30px;
                       padding-top: 10px;
                       padding-bottom: 10px;
                       text-align: left;
                       color: {$data['color_1']};
                       font-size: 1.35rem;
                       font-weight: 750;
                   }

    .{$name}-{$id} .{$name}-{$id}-icon {
                       color: {$data['color_1']};
                       position: absolute;
                       top: 50%;
                       right: 20px;
                       transform: translateY(-50%);
                       transition: transform 0.2s ease;
                   }

    .{$name}-{$id} .{$name}-{$id}-content {
                       background-color: {$data['color_5']};
                       text-align: left;
                       overflow: hidden;
                       max-height: 0;
                       transition: max-height 0.4s cubic-bezier(0.77, 0, 0.175, 1), padding 0.4s cubic-bezier(0.77, 0, 0.175, 1);
                       box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
                   }

    .{$name}-{$id} .{$name}-{$id}-answer-text {
                       color: {$data['color_4']};
                       padding-left: 30px;
                       padding-right: 30px;
                       padding-top: 40px;
                       padding-bottom: 40px;
                       text-align: left;
                       font-size: 1rem;
                   }
</style>

<div class="{$name}-{$id}" >
    {if $data['background_image']}
        <div class="{$name}-{$id}-cover"></div>
    {/if}

    <div class="{$name}-{$id}-container">
        {if !$data['disable_header']}
            <h2 class="{$name}-{$id}-header">{$data['header']}</h2>
        {/if}

        <div class="{$name}-{$id}-qa-container">
            {foreach $data['qa'] as $key=>$value}
                <div class="{$name}-{$id}-item">
                    <div class="{$name}-{$id}-question-header" onclick="puqqa{$id}({$key})">
                        <div class="{$name}-{$id}-question-text">{$value['question']}</div>
                        <i class="fas fa-plus {$name}-{$id}-icon"></i>
                    </div>
                    <div class="{$name}-{$id}-content">
                        <div class="{$name}-{$id}-answer-text">{$value['answer']}</div>
                    </div>
                </div>
            {/foreach}
        </div>
    </div>
</div>

<script>
    function puqqa{$id}(item) {
        var accordionContent{$id} = document.getElementsByClassName("{$name}-{$id}-content");
        var accordionIcons{$id} = document.getElementsByClassName("{$name}-{$id}-icon");

        for (var i = 0; i < accordionContent{$id}.length; i++) {
            if (i + 1 === item) {
                if (accordionContent{$id}[i].style.maxHeight) {
                    accordionContent{$id}[i].style.maxHeight = null;
                    accordionIcons{$id}[i].classList.remove("fa-minus");
                    accordionIcons{$id}[i].classList.add("fa-plus");
                } else {
                    accordionContent{$id}[i].style.maxHeight = accordionContent{$id}[i].scrollHeight + "px";
                    accordionIcons{$id}[i].classList.remove("fa-plus");
                    accordionIcons{$id}[i].classList.add("fa-minus");
                }
            } else {
                accordionContent{$id}[i].style.maxHeight = null;
                accordionIcons{$id}[i].classList.remove("fa-minus");
                accordionIcons{$id}[i].classList.add("fa-plus");
            }
        }
    }
</script>