<form method="post" action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=show_services_ip_username&action=configuration">

    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <tr>
                <td class="fieldlabel">{$lang['Enabled']}</td>
                <td class="fieldarea">
                    <select name="enabled" class="form-control select-inline">
                        <option value="yes" {if $config['enabled'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['enabled'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$_lang['Enable or disable all custom functions.']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['To show IP on the invoices']}</td>
                <td class="fieldarea">
                    <select name="add_ip_to_invoice" class="form-control select-inline">
                        <option value="yes" {if $config['add_ip_to_invoice'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['add_ip_to_invoice'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['Adds the IP address of the service to the item description on the invoice. Applies to new invoices only.']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['To show IP in the lists of services in the client area']}</td>
                <td class="fieldarea">
                    <select name="add_ip_to_list" class="form-control select-inline">
                        <option value="yes" {if $config['add_ip_to_list'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['add_ip_to_list'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['To show Username on the invoices']}</td>
                <td class="fieldarea">
                    <select name="add_username_to_invoice" class="form-control select-inline">
                        <option value="yes" {if $config['add_username_to_invoice'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['add_username_to_invoice'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                    {$lang['Adds the Username address of the service to the item description on the invoice. Applies to new invoices only.']}
                </td>
            </tr>

            <tr>
                <td class="fieldlabel">{$lang['To show Username in the lists of services in the client area']}</td>
                <td class="fieldarea">
                    <select name="add_username_to_list" class="form-control select-inline">
                        <option value="yes" {if $config['add_username_to_list'] eq "yes"}selected {/if}>{$lang['YES']}</option>
                        <option value="no" {if $config['add_username_to_list'] eq "no"}selected {/if}>{$lang['NO']}</option>
                    </select>
                </td>
            </tr>

            </tbody>
        </table>
    </div>
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>