<form method="post"
      action="{$before_path}/admin/addonmodules.php?module=puq_customization&extension=ticket_auto_reply&action=configuration">
    <div class="tab-pane">
        <table class="form" width="100%" border="0" cellspacing="2" cellpadding="3">
            <tbody>
            <tr>
                <td class="fieldlabel" width="50%">{$lang['Enabled']}</td>
                <td class="fieldarea">
                    <select name="enabled" class="form-control select-inline">
                        <option value=""
                                {if $config['enabled'] eq ""}selected {/if}>{$lang['NO']}</option>
                        <option value="on"
                                {if $config['enabled'] eq "on"}selected {/if}>{$lang['YES']}</option>
                    </select></td>
            </tr>
            <tr>
                <td class="fieldlabel" width="50%">{$lang['Default admin Username For Reply']}</td>
                <td class="fieldarea">
                    <select name="default_admin_username" class="form-control select-inline">
                        {foreach $admins as $admin}
                            <option value="{$admin['username']}"
                                    {if $config['default_admin_username'] eq {$admin['username']}}selected {/if}>
                                {$admin['username']} - {$admin['firstname']} {$admin['lastname']} ({$admin['email']})
                                - {$admin['role_name']}
                            </option>
                        {/foreach}
                    </select>
                </td>
            </tr>
            <tr>
                <td class="fieldlabel" width="50%">{$lang['Default Reply']}</td>
                <td class="fieldarea"><textarea rows="3" cols="40" class="form-control"
                                                name="default_reply">{$config['default_reply']}</textarea>
            </tr>
            <tr>
                <td class="fieldlabel" width="50%">{$lang['Default number of minutes']}</td>
                <td class="fieldarea"><input type="number" name="default_minutes_before" class="form-control select-inline"
                                             value="{$config['default_minutes_before']}">{$lang['from ticket creating to the reply']}
            </tr>
            </tbody>
        </table>
    </div>
    <div class="btn-container">
        <button type="submit" name="submit" value="submit" class="btn btn-primary">{$lang['Save Changes']}</button>
    </div>
</form>
